summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKrzysztof Pawlik <nelchael@gentoo.org>2010-08-19 19:31:25 +0000
committerKrzysztof Pawlik <nelchael@gentoo.org>2010-08-19 19:31:25 +0000
commit1b2561a9eaebf6242a017db7c2421bb1cb560cc4 (patch)
tree22efd6e0384095c3ef6062442f2c981758c3c966 /www-servers/resin/files
parentAutomated update of use.local.desc (diff)
downloadgentoo-2-1b2561a9eaebf6242a017db7c2421bb1cb560cc4.tar.gz
gentoo-2-1b2561a9eaebf6242a017db7c2421bb1cb560cc4.tar.bz2
gentoo-2-1b2561a9eaebf6242a017db7c2421bb1cb560cc4.zip
Version bump.
(Portage version: 2.1.8.3/cvs/Linux x86_64)
Diffstat (limited to 'www-servers/resin/files')
-rw-r--r--www-servers/resin/files/4.0.9/resin.conf12
-rw-r--r--www-servers/resin/files/4.0.9/resin.init37
2 files changed, 49 insertions, 0 deletions
diff --git a/www-servers/resin/files/4.0.9/resin.conf b/www-servers/resin/files/4.0.9/resin.conf
new file mode 100644
index 000000000000..b205f671a22d
--- /dev/null
+++ b/www-servers/resin/files/4.0.9/resin.conf
@@ -0,0 +1,12 @@
+# JVM Runtime
+# Using the default setting, it will determine your JVM from the system-vm
+# set using java-config.
+# See java-config(1) manual page for assistance in determining this value.
+
+# You can override this value with whatever JDK you want.
+# For a list of valid values for GENTOO_VM see output of
+# java-config -L
+#GENTOO_VM=sun-jdk-1.5
+
+# Verbose starting and stopping? (yes/no, defaults to no)
+#VERBOSE="yes"
diff --git a/www-servers/resin/files/4.0.9/resin.init b/www-servers/resin/files/4.0.9/resin.init
new file mode 100644
index 000000000000..e6ec67cf3708
--- /dev/null
+++ b/www-servers/resin/files/4.0.9/resin.init
@@ -0,0 +1,37 @@
+#!/sbin/runscript
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/www-servers/resin/files/4.0.9/resin.init,v 1.1 2010/08/19 19:31:25 nelchael Exp $
+
+depend() {
+ need net
+ use dns logger mysql postgresql
+}
+
+runResin() {
+ JAVA_HOME=$(java-config -O)
+ [ -n "${GENTOO_VM}" ] && JAVA_HOME=$(java-config --select-vm="${GENTOO_VM}" -O)
+ export JAVA_HOME
+
+ local extraArgs=
+ if [ "${VERBOSE}" = "yes" ]; then
+ extraArgs="-verbose"
+ fi
+
+ local msg="${1}"
+ shift
+
+ local cmdline="${JAVA_HOME}/bin/java -jar /usr/share/resin/lib/resin.jar -conf /etc/resin/resin.xml -resin-home __RESIN_HOME__ -root-directory __RESIN_HOME__ ${extraArgs} ${@}"
+
+ ebegin "${msg}"
+ su - resin -c "${cmdline}"
+ eend $?
+}
+
+start() {
+ runResin "Starting Resin" "start"
+}
+
+stop() {
+ runResin "Stopping Resin" "shutdown"
+}